Subject: bug#50506: 28.0.50; display-line-numbers equivalent for linum-format?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 Sep 2021 21:05:36 +0300

> From: Michael Gallagher - NOAA Affiliate <[email-masked]>
> Date: Mon, 13 Sep 2021 11:54:59 -0600
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> Eli, as far as your suggestions, these requirements make sense to me. I took a crack at modifying xdisp.c
> and was able to display ascii characters by appending to lnum_buf before the numbers are displayed.
> However, when I tried to hook that into the lisp code and add a variable so that it wouldn't be hardcoded (a
> must, of course) I fell flat on my face. Converting between character lisp variables to the appropriate C types
> is above my "undergrad CSCI refresher" pay grade. I wish I could be more helpful but if I were to be the one
> to submit a pull request I would probably need someone to hold my hand. 

It's not too complicated.  A character is just an integer in Emacs,
and the way to get a C integer from a Lisp integer is by using the
XFIXNAT macro.

Look for the code which handles display-fill-column-indicator-mode, in
particular how it takes the indicator character from
Vdisplay_fill_column_indicator_character and adds it to a screen line.
What you need to do is very similar.